Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK

## java.io
Class OutputStream

Method Summary
`Writer` | `leftShift(Object value)` Overloads the leftShift operator to provide an append mechanism to add values to a stream
`OutputStream` | `leftShift(InputStream in)` Pipe an InputStream into an OutputStream for efficient stream copying
`OutputStream` | `leftShift(byte[] value)` Overloads the leftShift operator to provide an append mechanism to add bytes to a stream
`Object` | `withStream(Closure closure)` Passes this OutputStream to the closure, ensuring that the stream is closed after the closure returns, regardless of errors
`Object` | `withWriter(Closure closure)` Creates a writer from this stream, passing it to the given closure This method ensures the stream is closed after the closure returns
`Object` | `withWriter(String charset, Closure closure)` Creates a writer from this stream, passing it to the given closure This method ensures the stream is closed after the closure returns

Method Detail

### leftShift

    public Writer leftShift(Object value)

  Overloads the leftShift operator to provide an append mechanism to add values to a stream.

Parameters:
  `value` - a value to append.
Returns:
  a Writer

### leftShift

    public OutputStream leftShift(InputStream in)

  Pipe an InputStream into an OutputStream for efficient stream copying.

Parameters:
  `in` - stream to read from.
Returns:
  the outputstream itself

### leftShift

    public OutputStream leftShift(byte[] value)

  Overloads the leftShift operator to provide an append mechanism to add bytes to a stream.

Parameters:
  `value` - a value to append.
Returns:
  an OutputStream

### withStream

    public Object withStream(Closure closure)

  Passes this OutputStream to the closure, ensuring that the stream is closed after the closure returns, regardless of errors.

Parameters:
  `closure` - the closure that the stream is passed into.
Returns:
  the value returned by the closure

### withWriter

    public Object withWriter(Closure closure)

  Creates a writer from this stream, passing it to the given closure. This method ensures the stream is closed after the closure returns.

Parameters:
  `closure` - the closure that the writer is passed into.
Returns:
  the value returned by the closure

See:
  #withWriter(Writer,Closure).

### withWriter

    public Object withWriter(String charset, Closure closure)

  Creates a writer from this stream, passing it to the given closure. This method ensures the stream is closed after the closure returns.

Parameters:
  `charset` - the charset used.
  `closure` - the closure that the writer is passed into.
Returns:
  the value returned by the closure

See:
  #withWriter(Writer,Closure).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Groovy JDK